# Generated by Django 3.2.4 on 2021-07-12 09:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Administrator',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('administrator_name', models.CharField(max_length=256, null=True, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Apartment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('apartment_number', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Association',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('association_name', models.CharField(max_length=256)),
                ('address', models.CharField(max_length=256)),
                ('administrator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='administrators.administrator')),
            ],
        ),
        migrations.CreateModel(
            name='Owner',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('email', models.CharField(max_length=256)),
                ('phone_number', models.CharField(max_length=200)),
                ('apartment', models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='administrators.apartment')),
                ('association', models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='administrators.association')),
            ],
        ),
        migrations.CreateModel(
            name='Counter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('index', models.IntegerField()),
                ('tip_counter', models.CharField(max_length=256)),
                ('apartment', models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='administrators.apartment')),
            ],
        ),
        migrations.CreateModel(
            name='Block',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('block_number', models.IntegerField()),
                ('number_of_floors', models.IntegerField()),
                ('is_elevator', models.BooleanField()),
                ('number_of_apartments', models.IntegerField()),
                ('association', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='administrators.association')),
            ],
        ),
        migrations.AddField(
            model_name='apartment',
            name='block',
            field=models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='administrators.block'),
        ),
    ]
